<?php 
/**
 * 
 * @package Luzuk
 */
if(get_theme_mod('testimonials_area_disable') != 'on' ){ ?> 
    <?php 
      if( get_theme_mod('testimonials_areaTpadding',true) ) {
        $testimonials_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('testimonials_areaTpadding')).';';
      }
      if( get_theme_mod('testimonials_areaBpadding',true) ) {
        $testimonials_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('testimonials_areaBpadding')).';';
      }
      if( get_theme_mod('testi_Opacity',true) ) {
        $testi_Opacity = 'opacity:'.esc_attr(get_theme_mod('testi_Opacity')).';';
      }
    ?>  
  <div id="testimonials"class="testimonials-area " id="testimonials" style="<?php echo esc_attr($testimonials_areaTpadding); ?>" "<?php echo esc_attr($testimonials_areaBpadding); ?>">
      <?php
        $testi_maintitle = get_theme_mod('testi_maintitle', 'TESTIMONIAL');
      ?>  
      <!-- <div class="overlay"></div> -->
      <div class="container">
          <div class=" justify-content-center">
            <?php if($testi_maintitle ){ ?>
              <div class="section-title">
                  <h2><?php echo ($testi_maintitle);  ?></h2> 
              </div> 
            <?php }?>
          </div>
      </div> 
      <div class="container">
          <div class="testimonials-single-area"> 
              <div class="owl-carousel owl-theme">   
                     
                <?php  
                  $showStatic = true;
                  $cols = get_theme_mod('test_npp_count', 5);
                  $cols++;
                  switch($cols){
                    case 1:
                      $colCls = 'col-md-12 col-sm-12 col-xs-12';
                      break;
                    case 2:
                      $colCls = 'col-md-6 col-sm-6 col-xs-12';
                      break;
                    case 3:
                    case 5:
                    case 6:
                    case 7:
                    case 8:
                    case 9:
                    case 10:
                    case 11:
                    case 12:
                      $colCls = 'col-md-4 col-sm-6 col-xs-12';
                      break;
                    default:
                      $colCls = 'col-md-3 col-sm-6 col-xs-12';
                      break;
                  }
                  $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell'); 

                  for( $i = 1; $i <= $cols; $i++ ){
                    $testimonials_page_id = get_theme_mod('testimonials_page'.$i); 
                    $testimonials_page_icon = get_theme_mod('testimonials_page_icon'.$i);
                    if($testimonials_page_id){
                      $showStatic = false;
                      echo testimonialShortCode($testimonials_page_id, $isCustomizer=true, $i);
                    }
                  }
                  // adding the static content
                  if($showStatic === true){
                    for( $i = 1; $i <= $cols; $i++ ){ ?>
                    <div class="item innertest-item">        
                        <div class="ts-area-single">
                            <div class="tsarea-inn">
                                <div class="ts-area-thumb">
                                    <div class="testiimginn">
                                        <img class="img-responsive" src="<?php echo get_template_directory_uri(); ?>/images/t4.jpg" alt="">
                                    </div>
                                </div>
                                <div class="ts-area-content">
                                    <div class="ts-area-c">   
                                        <p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at  its layout. The point of using Lorem Ipsum is that it has  a  more-or-less normal distribution of letters. </p>  
                                        <div class="ts-area-bx">
                                            <h3 class="ts-area-title">Olivia Davis</h3>
                                            <div class="text-designation">Beautician</div>
                                            <div class="clearfix"></div>
                                        </div>
                                    </div> 
                                </div>
                                <div class="tsicn">
                                    <i class="fa fa-quote-right" ></i>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <?php }

                  }?>
                </div>
                <div class="clearfix"></div>
              </div>
          </div>
       </div>

<script type="text/javascript">
$(document).ready(function(){
    var highestBox = 0;
        $('#testimonials .ts-area-single').each(function(){  
                if($(this).height() > highestBox){  
                highestBox = $(this).height();  
        }
    });    
    $('#testimonials .ts-area-single').height(highestBox);
});
</script>
 
<?php } 
